## libixp 0.3+20070518

=== Makefile ===
ROOT=.
include ${ROOT}/mk/hdr.mk

DIRS =	libixp	\
	cmd	\
	include	\
	man

include ${ROOT}/mk/dir.mk

=== cmd/Makefile ===
ROOT=..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/ixp.mk

TARG =	ixpc
OBJ =	ixpc
LIB = ${ROOT}/libixp/libixp.a

include ${ROOT}/mk/one.mk

=== libixp/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/ixp.mk

TARG =	libixp
HFILES = ixp_fcall.h

OBJ =	client    \
	convert   \
	intmap    \
	message   \
	request   \
	server    \
	socket    \
	transport \
	util

include ${ROOT}/mk/lib.mk

ixp_fcall.h: fcall.h fcall.h.nounion ${ROOT}/config.mk
	cat fcall.h${FCALL_H_VERSION} > ixp_fcall.h
	cp -f ixp_fcall.h ${ROOT}/include/

## libixp 0.4

=== Makefile ===
ROOT=.
include ${ROOT}/mk/hdr.mk

DIRS =	${COMPONENTS}	\
	cmd	\
	include	\
	man

include ${ROOT}/mk/dir.mk

=== cmd/Makefile ===
ROOT=..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/ixp.mk

TARG =	ixpc
OBJ =	ixpc
LIB = ${ROOT}/lib/libixp.a

include ${ROOT}/mk/one.mk

=== include/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk

HFILES = ixp.h ixp_fcall.h

install: ${HFILES:.h=.install}

include ${ROOT}/mk/common.mk

=== libixp/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/ixp.mk

TARG =	libixp
FCALL_H = $(ROOT)/include/ixp_fcall.h
HFILES = $(FCALL_H)

OBJ =	client    \
	convert   \
	error     \
	intmap    \
	message   \
	request   \
	rpc       \
	server    \
	socket    \
	thread    \
	transport \
	util

include ${ROOT}/mk/lib.mk

$(FCALL_H):  fcall.h${FCALL_H_VERSION} ${ROOT}/config.mk
	echo HEADER $$($(CLEANNAME) $(BASE)/$(FCALL_H)) from fcall.h${FCALL_H_VERSION}
	cp fcall.h${FCALL_H_VERSION} $(FCALL_H)

=== libixp_rubythread/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/ixp.mk

CFLAGS += ${RUBYINC}

TARG =	libixp_rubythread
OBJ =	thread_ruby

include ${ROOT}/mk/lib.mk

=== libixp_task/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/ixp.mk

CFLAGS += ${TASKINC}

TARG =	libixp_task
OBJ =	thread_task

include ${ROOT}/mk/lib.mk

=== man/Makefile ===
ROOT=..
include ${ROOT}/mk/hdr.mk

TARG =	ixpc.1

include ${ROOT}/mk/man.mk

## libixp 0.5

=== cmd/Makefile ===
ROOT=..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/ixp.mk

LDLIBS = -L${ROOT}/lib -lixp
TARG =	ixpc
LIB = ${ROOT}/lib/libixp.a

include ${ROOT}/mk/many.mk

=== examples/Makefile ===
ROOT=..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/ixp.mk

LDFLAGS += -L${ROOT}/lib -lixp
TARG =	ixpsrv
LIB = ${ROOT}/lib/libixp.a

include ${ROOT}/mk/many.mk

=== include/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/ixp.mk

HFILES = ixp.h \
	 ixp_srvutil.h

install: ${HFILES:.h=.install}

=== man/Makefile ===
ROOT=..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/ixp.mk

TARG =	ixpc.1

include ${ROOT}/mk/man.mk

=== debian/changelog ===
libixp (0.5-5) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debain.org>  Sun, 05 Dec 2010 22:53:33 +0100

libixp (0.5-4) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Nov 2010 21:15:45 +0100

libixp (0.5-3) unstable; urgency=low

  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Moving maintainer homepage field from control to copyright.
  * Removing README.source.
  * Updating homepage field in control.
  * Bumping versioned build-depends on debhelper.
  * Removing override for dh_auto_build, not required.
  * Correcting typo in make call of dh_auto_install override in rules.
  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.

 -- Daniel Baumann <daniel@debian.org>  Wed, 07 Apr 2010 00:26:27 +0200

libixp (0.5-2) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Using correct rfc-2822 date formats in changelog.
  * Updating maintainer field.
  * Updating vcs fields.
  * Updating package to standards version 3.8.3.
  * Sorting depends.
  * Updating year in copyright file.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Aug 2009 20:20:40 +0200

libixp (0.5-1) unstable; urgency=low

  * Updating vcs fields in control file.
  * Merging upstream version 0.5.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Nov 2008 21:03:00 +0100

libixp (0.4-3) unstable; urgency=medium

  * Rewriting copyright file in machine-interpretable format.
  * Reordering rules file.
  * Removing watch file.
  * Adding vcs fields to control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Jul 2008 14:29:00 +0200

libixp (0.4-2) unstable; urgency=low

  * Bumped to new policy.
  * Don't hide make errors in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 16:18:00 +0100

libixp (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Nov 2007 17:33:00 +0100

libixp (0.3+20070518-1) unstable; urgency=low

  * New upstream snapshot.

 -- Daniel Baumann <daniel@debian.org>  Fri, 18 May 2007 09:08:00 +0200

libixp (0.2+20070501-1) unstable; urgency=low

  * New upstream snapshot.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 May 2007 09:04:00 +0200

libixp (0.2+20070405-1) unstable; urgency=low

  * New upstream snapshot.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Apr 2007 16:51:00 +0200

libixp (0.2-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel@debian.org>  Tue, 02 Jan 2007 17:52:00 +0100

=== debian/control ===
Source: libixp
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://libs.suckless.org/libixp/

Package: libixp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple 9P client-/server-library
 This is a an extremly simple 9P stand-alone library. 9P is a virtual filesystem
 from the Plan9 operating system.
 .
 libixp is currently only used by wmii (window manager improved, version 3).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/libixp/usr ETC=$(CURDIR)/debian/libixp/etc install

## libixp 0.6~20121202%2Bhg148

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := -Wall -W $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
ifeq "$(origin CC)" "default"
export CC := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh ${@}

override_dh_auto_build:
	$(MAKE) CC="$(CC)" LDFLAGS="$(LDFLAGS)" DESTDIR="$(CURDIR)/debian/tmp" PREFIX=/usr ETC=/etc

override_dh_auto_install:
	# $(MAKE) doc
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr ETC=/etc LIBDIR="/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)" install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	@d=$$(readlink -e $(MAKEFILE_LIST)); \
	cd $${d%/*}/..; \
	debian/get-orig-source.sh $(CURDIR)

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_installchangelogs get-orig-source

## libixp 0.6~20121202+hg148

=== Makefile ===
ROOT=.
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/ixp.mk

DIRS =	lib	\
	cmd	\
	include	\
	man

doc:
	perl $(ROOT)/util/grepdoc $$(hg manifest | egrep '^(lib|include)') \
		>$(ROOT)/man/targets.mk
	$(MAKE) -Cman

deb-dep:
	IFS=', '; \
	apt-get -qq install build-essential $$(sed -n 's/([^)]*)//; s/^Build-Depends: \(.*\)/\1/p' debian/control)

DISTRO = unstable
deb:
	$(ROOT)/util/genchangelog libixp-hg $(VERSION) $(DISTRO)
	dpkg-buildpackage -rfakeroot -b -nc
	[ -d .hg ] && hg revert debian/changelog || true

.PHONY: doc
include $(ROOT)/mk/dir.mk

=== examples/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/ixp.mk

LDFLAGS += -L$(ROOT)/lib -lixp
TARG =	ixpsrv
LIB = $(ROOT)/lib/libixp.a

include $(ROOT)/mk/many.mk

=== include/Makefile ===
ROOT= ..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/ixp.mk

HFILES = ixp.h \
	 ixp_srvutil.h

install: $(HFILES:.h=.install)

=== lib/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk

DIRS =	$(COMPONENTS)

include $(ROOT)/mk/dir.mk

=== man/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/ixp.mk

include targets.mk
MANPAGES += ixpc.1 libixp.3 ixp_srvutils.3

include $(ROOT)/mk/man.mk

$(TARG): Makefile $(ROOT)/mk/ixp.mk header.t2t

=== lib/libixp/Makefile ===
ROOT= ../..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/ixp.mk

TARG =	libixp

OBJ =	client    \
	convert   \
	error     \
	map       \
	message   \
	request   \
	rpc       \
	server    \
	srv_util  \
	socket    \
	thread    \
	timer     \
	transport \
	util

include $(ROOT)/mk/lib.mk

=== lib/libixp_pthread/Makefile ===
ROOT= ../..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/ixp.mk

LIBS += -lpthread

TARG =	libixp_pthread

OBJ =	thread_pthread

include $(ROOT)/mk/lib.mk

=== lib/libixp_task/Makefile ===
ROOT= ../..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/ixp.mk

CFLAGS += $(TASKINC)

TARG =	libixp_task
OBJ =	thread_task

include $(ROOT)/mk/lib.mk

=== debian/changelog ===
libixp (0.6~20121202+hg148-5) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #911257).

  [ Andrej Shadura ]
  * Drop libixp transitional package (Closes: #878655).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 26 Jul 2020 14:44:16 +0200

libixp (0.6~20121202+hg148-4) unstable; urgency=medium

  * Orphan the package.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 26 Jul 2020 11:39:16 +0200

libixp (0.6~20121202+hg148-3) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Deprecating priority extra as per policy 4.0.1.
  * d/control: Set Vcs-* to salsa.debian.org.

  [ Andrej Shadura ]
  * Use debhelper-compat (= 12)
  * Refresh patches.
    - Use an appropriate format specifier for uint64_t in ixpc.c
  * Pass -fcommon to work around link failure (Closes: #957447).
  * Enable hardening.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 26 Jul 2020 11:30:54 +0200

libixp (0.6~20121202+hg148-2) unstable; urgency=low

  * Fix some issues in the build system.
  * Build a dynamic library as well.
  * Update the copyright file.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 01 Dec 2013 17:16:45 +0100

libixp (0.6~20121202+hg148-1) unstable; urgency=low

  * Upload to unstable.
  * Use DESTDIR and PREFIX properly.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 12 Apr 2013 21:04:37 +0200

libixp (0.6~20110914+hg148-1) experimental; urgency=low

  * New upstream snapshot.
  * Drop patches applied upstream.
  * Drop patch to allow overriding CC as upstream uses a different
    meaning of CC variable in their build system; pass a modified CC
    variable as a make argument instead.
  * Disable .SILENT during build.
  * Fix hardening: make sure our LDFLAGS don't get overwritten.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 19 Mar 2013 19:31:53 +0100

libixp (0.6~20110914+hg142-1) experimental; urgency=low

  * New maintainer (Closes: #606082).
  * New upstream snapshot.
  * Fix a typo in a deprecated API call wrapper.
  * Rename the binary package to libixp-dev, providing transitional dummy
    package libixp.
  * Link threaded version against libpthread.
  * Use hardening flags, don't disable optimisation (unlike upstream does).
  * Enable using different CC, e.g. ccache.
  * Enable cross-compilation when needed.
  * Add Vcs-* fields.
  * Install manual pages.
  * Fix typos in the sources and manual pages.
  * Modify manual pages' installation rules to replace form feed characters
    by proper \f *roff control sequences.
  * In ixpc, use proper ssize_t type instead of unsigned int.
  * Update Standards-Version to 3.9.3, no relevant changes.
  * Update the Homepage field: the project is no longer under Suckless
    umbrella.
  * Add get-orig-source target to debian/rules.
  * Update the package description.
  * Use debhelper version 9; update the build dependencies accordingly. No
    changes to the packaging were required.
  * Install upstream NEWS as a changelog.
  * Adjust package sections (binary package goes to libdevel, source goes to
    libs as there's nothing X11-specific).
  * Update copyright information (code under Lucent Public License is no
    more).
  * Fix copyright file syntax to comply with the Copyright Format 1.0.

 -- Andrew O. Shadura <bugzilla@tut.by>  Wed, 15 Aug 2012 08:53:10 +0200

=== debian/control ===
Source: libixp
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 3.9.3
Homepage: http://libixp.googlecode.com/
Vcs-Browser: https://salsa.debian.org/debian/libixp
Vcs-Git: https://salsa.debian.org/debian/libixp.git

Package: libixp0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple 9P client-/server-library
 This is a an extremely simple 9P stand-alone library. 9P is a virtual
 filesystem from the Plan9 operating system.

Package: libixp-dev
Section: libdevel
Architecture: any
Provides: libixp
Breaks: libixp (<< 0.6~)
Replaces: libixp (<< 0.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, libixp0 (=${binary:Version})
Description: simple 9P client-/server-library (development)
 This is a an extremely simple 9P stand-alone library. 9P is a virtual
 filesystem from the Plan9 operating system.
 .
 This package contains the development library and its headers.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
-export CFLAGS := -Wall -W $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export CFLAGS := -Wall -W $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -fcommon
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 ifeq "$(origin CC)" "default"
 export CC := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-gcc
